For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of all meter values
      • POSTCreate a meter value
      • GETGet a meter value
      • DELDelete a meter value
      • PATCHUpdate a meter value
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIMeter Values

Get a list of all meter values

GET
/v:version/meter-values
GET
/v:version/meter-values
$curl https://test.api.solvimon.com/v1/meter-values \
> -H "X-API-KEY: <apiKey>"
1{
2 "data": [
3 {
4 "object_type": "string",
5 "id": "string",
6 "reference": "string",
7 "name": "string",
8 "description": "string",
9 "status": "DRAFT",
10 "type": "NUMBER"
11 }
12 ]
13}

Requires the METER_VALUE.VIEW permission.

Was this page helpful?
Previous

Create a meter value

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

statuses[]list of stringsOptional

Filter meter properties based on meter status(es)

order_bystringOptional
The parameter by which the response is ordered.
order_directionstringOptional
The order direction by which the response is ordered.

Response

OK
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error